import 'package:ambito/src/entity/measure/types_details/measure_types_details.dart';
import 'package:isar/isar.dart';

import '../../../consts/consts.dart';
import '../../../packages/ambito_db/base_db.dart';

class MeasureTypesDetailsRepository extends BaseDB {
  @override
  IsarCollection collection = isar.measureTypesDetails;

  MeasureTypesDetails? getTypeDetailsForType(String type) {
    return isar.measureTypesDetails
        .where()
        .measureTypeEqualTo(type)
        .findFirst();
  }
}
